package ex

import (
	"bytes"
	"os"
)

func ExampleReplaceLinks() {
	var html = bytes.NewBufferString(`<html><body>
    <h1>Coding workout</h1>
    <a href="http://example.com">example.com</a>
    <a href="http://7de.se">7de.se</a>
</body></html>`)
	ReplaceLinks(os.Stdout, html)
	// output:
	// <html><head></head><body>
	//     <h1>Coding workout</h1>
	//     <span>example.com</span>
	//     <span>7de.se</span>
	// </body></html>
}
