package ex

import (
	"testing"
)

func TestJson2txt(t *testing.T) {
	body := []byte(`{"Serial":"0048","HardwareId":"190"}`)
	exp := "Serial=0048,HardwareId=190"
	got, err := Json2txt(body)
	if err != nil {
		t.Error(err)
	}
	if exp != got {
		t.Errorf("Expected %q, got %q", exp, got)
	}

	// Bad case
	badJson := []byte("{")
	if _, err := Json2txt(badJson); err == nil {
		t.Fail()
	}
}
