package ex

import (
	"bytes"
	"testing"
)

func Test_fcat(t *testing.T) {
	w := bytes.NewBufferString("")
	fcat(w, "test.txt")
	exp := "a1\nab\nb1\n"
	got := w.String()
	if exp != got {
		t.Errorf("Expected %q, got %q", exp, got)
	}
}

// Start with this and implement everything inside
// Cat
func TestCat(t *testing.T) {
	if err := Cat("test.txt"); err != nil {
		t.Error(err)
	}
	if err := Cat("nosuchfile"); err == nil {
		t.Fail()
	}
}
