package main

import (
	"context"
	"flag"
	"fmt"
	"go-learn/ex/notify"
	"time"
)

func main() {
	dir := flag.String("d", ".", "Directory to watch")
	flag.Parse()

	freq := 2 * time.Second
	changed := notify.Monitor(context.Background(), *dir, freq)

	for {
		select {
		case fi := <-changed:
			fmt.Println(fi)
		}
	}
}
