package ex

import (
	"bufio"
	"fmt"
	"io"
	"os"
	"strings"
)

func fgrep(w io.Writer, word, file string) error {
	r, err := os.Open(file)
	if err != nil {
		return err
	}
	scanner := bufio.NewScanner(r)
	for scanner.Scan() {
		line := scanner.Text()
		if strings.Contains(line, word) {
			fmt.Fprintf(w, "%s\n", line)
		}
	}
	return r.Close()
}

func Grep(word, file string) error {
	return fgrep(os.Stdout, word, file)
}
