package ex

import (
	"bytes"
	"testing"
)

func Test_fgrep(t *testing.T) {
	word := "a"
	w := bytes.NewBufferString("")
	fgrep(w, word, "test.txt")
	exp := "a1\nab\n"
	got := w.String()
	if exp != got {
		t.Errorf("Expected %q, got %q", exp, got)
	}
}

func TestGrep(t *testing.T) {
	word := "a1"
	if err := Grep(word, "test.txt"); err != nil {
		t.Error(err)
	}
	if err := Grep(word, "nosuchfile"); err == nil {
		t.Error(err)
	}
}
