package ex

import (
	"encoding/json"
	"fmt"
)

type Device struct {
	HardwareId string
	Serial     string
}

func Json2txt(body []byte) (string, error) {
	var d Device
	err := json.Unmarshal(body, &d)
	if err != nil {
		return "", err
	}
	txt := fmt.Sprintf("Serial=%v,HardwareId=%v", d.Serial, d.HardwareId)
	return txt, nil
}
